XAMPP install on Mac question (ish)

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

XAMPP install on Mac question (ish)

Postby ziska » 15. May 2019 21:46

Goal:
Migrate a phpBB 2.0 message board to wordpress without losing all the posts

1. update phpBB > need to use local server to downgrade php from serverside 7.0 to 5.0
2. install XAMPP to run local server on php 5.0
3. Go to Application>"Welcome to XAMPP for 7.3.5-0"
4. Where's the dashboard to enable php 5.0 and download the current message board?
ziska
 
Posts: 3
Joined: 15. May 2019 21:24
XAMPP version: 1.0.3
Operating System: Mac 10.11.6

Re: XAMPP install on Mac question (ish)

Postby Nobbie » 16. May 2019 12:25

ziska wrote:4. Where's the dashboard to enable php 5.0 and download the current message board?


Nowhere. You cannot freely enable any php version, Xampp 7.x comes with PHP7 and thats it, and there is neither any download tool for any message boards.

What do you understand by "Migrate phpBB 2.0 to wordpress"? phpBB is a sophisticated board script, wordpress is a sophisticated CMS (Content Managemant System). These are totally different tools, maybe there is a wordpress plugin which gives you the opportunity to install a board/forum script, but that would be with a totally different database, database model etc., there would not be any simple solution for converting the messages from phpBB to (whatever) wordpress forum/board.

I think there might be an option in WordPress to link it with an external script or domain (your phpBB forum), i.e. to embed a forum into WordPress, but i am not an WordPress expert and do not know much about it. What i know is the fact that a CMS is a CMS and a board is a board - like a car is a car and a TV is a TV. You cannot convert a car to a TV. So you cannot convert a board to a CMS.
Nobbie
 
Posts: 11090
Joined: 09. March 2008 13:04

Re: XAMPP install on Mac question (ish)

Postby ziska » 16. May 2019 12:49

Nobbie,

I would like to create a local host with php 5.0 and you have told me that XAMPP will not let me do that so that is good information and saves me a lot of time. Thank you.

Currently the message board is broken. It is broken because (the phpBB mavens tell me on their help forum) the remote host is running php 7.0 and the message board phpBB is 2.0 To upgrade from phpBB from 2.0 to current version I need a host with php 5.0 (not 7.0) I was hoping to download a backup to a local host running 5.0

If a local host is not an option then I will have to downgrade php on the remote host the other 6 databases on that host will also be downgraded- I will have to rebuild those - and then rebuild again after the phpBB is upgraded from 2.0 and I can reboot the php 7.0 for all sites on the host.

Getting the message board to function needs to happen first before any talk of migration- unless someone knows how to skip the entire upgrade process?????
ziska
 
Posts: 3
Joined: 15. May 2019 21:24
XAMPP version: 1.0.3
Operating System: Mac 10.11.6

Re: XAMPP install on Mac question (ish)

Postby Nobbie » 18. May 2019 21:14

ziska wrote:I would like to create a local host with php 5.0 and you have told me that XAMPP will not let me do that


Of course you can install any older version which delivers PHP 5.0. You CANNOT install the newest release and then "switch" to PHP5, but of course you may install old versions.

Sorry, but i dont understand the rest of your question, its very weird and finally you dropped wordpress (you asked for wordpress in your first posting), it all makes it hard to understand. I actually do not understand, what you want to do.
Nobbie
 
Posts: 11090
Joined: 09. March 2008 13:04

Re: XAMPP install on Mac question (ish)

Postby ziska » 19. May 2019 11:05

Problem solved with upgrade on local server.
ziska
 
Posts: 3
Joined: 15. May 2019 21:24
XAMPP version: 1.0.3
Operating System: Mac 10.11.6


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 1 guest